CREATE OR REPLACE VIEW hotwire3."10_View/Roles/Post_History"
 AS
 SELECT a.id,
    a.staff_category_id,
    a.person_id,
    a.ro_role_status_id,
    a.supervisor_id,
    a.mentor_id,
    a.external_mentor,
    a.start_date_for_continuous_employment_purposes,
    a.start_date,
    a.intended_end_date,
    a.end_date,
    a.funding_end_date,
    a.force_role_status_to_past,
    a.staff_review_due,
    a.chem,
    a.paid_through_payroll,
    a.hours_worked,
    a.percentage_of_fulltime_hours,
    a.average_percentage_of_days_worked_per_week,
    a.usual_days_worked,
    a.works_flexitime,
    a.standard_flexileave_rules_apply,
    a.departmental_closures_apply,
    a.disallow_leave_recording,
    a.leave_recording_needs_approval,
    a.research_grant_number,
    a.sponsor,
    a.probation_period,
    a.date_of_first_probation_meeting,
    a.date_of_second_probation_meeting,
    a.date_of_third_probation_meeting,
    a.date_of_fourth_probation_meeting,
    a.first_probation_meeting_comments,
    a.second_probation_meeting_comments,
    a.third_probation_meeting_comments,
    a.fourth_probation_meeting_comments,
    a.probation_outcome,
    a.date_probation_letters_sent,
    a.job_title,
    a._person,
    hotwire3.to_hwsubviewb('10_View/Roles/_attributes'::character varying, 'id'::character varying, '10_View/Roles/Attributes'::character varying, 'id'::character varying, 'id'::character varying) AS post_attributes,
    hotwire3.to_hwsubviewb('10_View/Roles/_person_for_role'::character varying, '_post_history_id'::character varying, '10_View/People/Personnel_Data_Entry'::character varying, 'id'::character varying, 'id'::character varying) AS person_data
   FROM ( SELECT post_history.id,
            post_history.staff_category_id,
            post_history.person_id,
            _all_roles.status AS ro_role_status_id,
            post_history.supervisor_id,
            post_history.mentor_id,
            post_history.external_mentor,
            person.continuous_employment_start_date AS start_date_for_continuous_employment_purposes,
            post_history.start_date,
            post_history.intended_end_date,
            post_history.end_date,
            post_history.funding_end_date,
            person.next_review_due AS staff_review_due,
            post_history.chem,
            post_history.paid_by_university AS paid_through_payroll,
            post_history.hours_worked,
            post_history.percentage_of_fulltime_hours,
            post_history.average_percentage_of_days_worked_per_week,
            post_history.usual_days_worked,
                CASE
                    WHEN post_history.staff_category_id = 3 THEN post_history.works_flexitime
                    ELSE NULL::boolean
                END AS works_flexitime,
                CASE
                    WHEN post_history.staff_category_id = 3 AND post_history.works_flexitime THEN post_history.standard_flexileave_rules_apply
                    ELSE NULL::boolean
                END AS standard_flexileave_rules_apply,
            post_history.departmental_closures_apply,
            post_history.leave_recording_disable AS disallow_leave_recording,
            post_history.leave_recording_needs_approval,
            post_history.probation_period::text AS probation_period,
            post_history.date_of_first_probation_meeting,
            post_history.date_of_second_probation_meeting,
            post_history.date_of_third_probation_meeting,
            post_history.date_of_fourth_probation_meeting,
            post_history.first_probation_meeting_comments::text AS first_probation_meeting_comments,
            post_history.second_probation_meeting_comments::text AS second_probation_meeting_comments,
            post_history.third_probation_meeting_comments::text AS third_probation_meeting_comments,
            post_history.fourth_probation_meeting_comments::text AS fourth_probation_meeting_comments,
            post_history.probation_outcome::text AS probation_outcome,
            post_history.date_probation_letters_sent,
            post_history.research_grant_number::text AS research_grant_number,
            post_history.filemaker_funding::text AS sponsor,
            post_history.job_title,
            post_history.force_role_status_to_past,
            person_hid.person_hid AS _person
           FROM post_history
             LEFT JOIN _all_roles_v13 _all_roles ON post_history.id = _all_roles.role_id AND _all_roles.role_tablename = 'post_history'::text
             JOIN person ON post_history.person_id = person.id
             JOIN person_hid ON post_history.person_id = person_hid.person_id) a
  ORDER BY a._person, a.start_date DESC;
